//
// Generated stub from file:/buildfactory/kundo/hudson/jobs/Release-Kundo_Plug-ins/workspace/plugins/target/checkout/plugins/kundo-init-plugin/src/main/groovy/org/openscm/kundo/plugins/InitDelegate.groovy
//

package org.openscm.kundo.plugins;

import java.lang.*;
import java.io.*;
import java.net.*;
import java.util.*;
import groovy.lang.*;
import groovy.util.*;
import org.openscm.kundo.plugins.context.BuildContext;
import org.openscm.kundo.common.logging.SimpleLogger;
import org.openscm.kundo.common.PropertyUtils;

/**
 * Init Delegate
 *
 * @author <a href="mailto:ben.leedham@upco.co.uk">Ben Leedham</a>
 * @version 1.0.0

Description: Delegate to load properties from properties files in a hiearchical fashion.

<p>The init delegate reads a default properties file and from that optionally loads an alternative hierarchy of
properties files specified in the project's default build.properties file.</p>
 */
public class InitDelegate
    extends AbstractPluginTargetDelegate
{
    private java.lang.String defaultPropertiesFile = null;

    private java.lang.Object fs = null;

    private Map indexedProps = null;
    public void setIndexedProps(Map value) {
        throw new InternalError("Stubbed method");
    }

    private InitDelegate(java.lang.Void void1, java.lang.Void void2, java.lang.Void void3) {
        super((AntBuilder)null, (BuildContext)null);

        throw new InternalError("Stubbed method");
    }

    /**
     * Constructor
     *
     * @param ant AntBuilder instance
     * @param buildContext BuildContext instance
     */
    public InitDelegate(AntBuilder ant, BuildContext buildContext) {
        this((java.lang.Void)null, (java.lang.Void)null, (java.lang.Void)null);
        throw new InternalError("Stubbed method");
    }

    /**
     * Implementation of abstract method from AbstractPluginTargetDelegate
     * to hold assertions that all global and local properties are available to the plugin.
     * This method is automatically called prior to execution.
     */
    public void doCheck() {
        throw new InternalError("Stubbed method");
    }

    /**
     * Setter method for member variable defaultPropertiesFile
     *
     * @param defaultPropertiesFile String representation the project's default build.properties file
     */
    public void setDefaultPropertiesFile(java.lang.String defaultPropertiesFile) {
        throw new InternalError("Stubbed method");
    }

    /**
     * delegate implementation method to be called by doExecute
     */
    public void doInit() {
        throw new InternalError("Stubbed method");
    }

    /**
     * This method was added to ensure that the indexed properties were loaded by order of the key
     * It appears that the PropertyUtils method may not return the list of indexed properties in
     * index order. This may not be a problem for the majority of cases but in this case it is.
     * The PropertyUtils method will need looking at to see what can be done about this.
     *
     * @return Map a map of indexed properties sorted by key and therefore by index
     */
    public Map getIndexedProps() {
        throw new InternalError("Stubbed method");
    }

    /**
     * Concrete implementation of the AbstractPluginTargetDelegate.execute() method
     */
    public void doExecute() {
        throw new InternalError("Stubbed method");
    }

    public groovy.lang.MetaClass getMetaClass() {
        throw new InternalError("Stubbed method");
    }

    public void setMetaClass(groovy.lang.MetaClass metaClass) {
        throw new InternalError("Stubbed method");
    }

    public java.lang.Object invokeMethod(java.lang.String name, java.lang.Object args) {
        throw new InternalError("Stubbed method");
    }

    public java.lang.Object getProperty(java.lang.String name) {
        throw new InternalError("Stubbed method");
    }

    public void setProperty(java.lang.String name, java.lang.Object value) {
        throw new InternalError("Stubbed method");
    }
}
